import java.text.SimpleDateFormat;
import java.sql.Timestamp;

/**
 * Helferklasse, um die Ausgaben auf der Konsole ordentlich zu formatieren.
 * 
 * @author Florian Janus
 * @version 2021-03-28
 */
public class Terminal
{
    public static enum MSGTYPE {
        IN(">>>"),
        OUT("<<<"),
        ERROR("!!!"),
        NONE("   ");

        final String value;

        MSGTYPE(String value) {
            this.value = value;
        }

        String getValue() {
            return value;
        }

        public String toString() {
            return value;
        }
    }
    
    private static final SimpleDateFormat tsformat = new SimpleDateFormat("HH:mm:ss.SSS");
    
    public static synchronized void printTerminal(MSGTYPE type, String what) {
        Timestamp timestamp = new Timestamp(System.currentTimeMillis());
        System.out.println(tsformat.format(timestamp) + ": " + type + " " + what.replace("\n", "\\n").replace("\r", "\\r"));
    }
}
